import { PlusOutlined } from '@ant-design/icons';
import { LoadTableFields, ReloadTableFields } from '../../../../../apis/process';
import React, { useContext, useEffect, useMemo, useState } from 'react';
import { Select } from 'antd'

const FollowFieldHide = props => {
  const { value, onChange, addons, disabled } = props;
  const { tableNameParent, widget, $id } = addons.formData;
  const [fields, setFields] = useState([]);

  useEffect(() => {
    getFieldData();
  }, []);

  const getFieldData = async () => {

    if (!tableNameParent) {
        return message.info('缺少表名!')
      }
    const { data } = await ReloadTableFields({ tableName: tableNameParent });
    if (Array.isArray(data.root)) {
        const fields = data.root.map(x=> x.name);
        setFields(fields);
      }
    console.log(data, 'data');
  };

  return (
    <div>
        <Select style={{ width: '100%' }} onChange={onChange} value={value} options={fields.map(x=> { return { value: x, label: x }})}/>
    </div>
  )
};

export default FollowFieldHide;
